%global shortcommit     1856891
%global compiledate     August\ 10,\ 2018

%global goipath         github.com/zyedidia/micro
Version:                1.4.1

%global common_description %{expand:
Micro is a terminal-based text editor that aims to be easy to use and 
intuitive, while also taking advantage of the full capabilities of modern 
terminals. It comes as one single, batteries-included, static binary with no 
dependencies, and you can download and use it right now.

As the name indicates, micro aims to be somewhat of a successor to the nano 
editor by being easy to install and use in a pinch, but micro also aims to be 
enjoyable to use full time, whether you work in the terminal because you prefer 
it (like me), or because you need to (over ssh).}

%gometa

Name:           micro
Release:        2%{?dist}
Summary:        A modern and intuitive terminal-based text editor
License:        MIT 
URL:            https://micro-editor.github.io/
Source0:        %{gosource}

BuildRequires: golang(gopkg.in/yaml.v2)
BuildRequires: golang(github.com/blang/semver)
BuildRequires: golang(github.com/dustin/go-humanize)
BuildRequires: golang(github.com/flynn/json5)
BuildRequires: golang(github.com/gdamore/encoding)
BuildRequires: golang(github.com/go-errors/errors)
BuildRequires: golang(github.com/lucasb-eyer/go-colorful)
BuildRequires: golang(github.com/mattn/go-isatty)
BuildRequires: golang(github.com/mattn/go-runewidth)
BuildRequires: golang(github.com/mitchellh/go-homedir)
BuildRequires: golang(github.com/sergi/go-diff/diffmatchpatch)
BuildRequires: golang(github.com/yuin/gopher-lua)
BuildRequires: golang(github.com/zyedidia/clipboard)
BuildRequires: golang(github.com/zyedidia/glob)
BuildRequires: golang(github.com/zyedidia/poller)
BuildRequires: golang(github.com/zyedidia/pty)
BuildRequires: golang(github.com/zyedidia/tcell)
BuildRequires: golang(github.com/zyedidia/terminal)
BuildRequires: golang(layeh.com/gopher-luar)

%description
%{common_description}


%prep
%forgeautosetup

rm -rf micro/cmd/micro/vendor/


%build  
%gobuildroot
export LDFLAGS="-X main.Version=%{version} \
                -X main.CommitHash=%{shortcommit} \
                -X 'main.CompileDate=%{compiledate}'"
%gobuild  -o _bin/micro %{goipath}/cmd/micro


%install
install -Dpm 0755 _bin/micro %{buildroot}%{_bindir}/micro


%files
%license LICENSE
%doc README.md
%{_bindir}/micro


%changelog
* Fri Aug 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Upstream release 1.4.1

* Fri Apr 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-2
- Add missing versioning data to build stage
- Update to new Go packaging guidelines

* Fri Jan 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-1
- Upstream release 1.4.0

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- Upstream release 1.3.4

* Fri Sep 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-1
- Initial RPM release

